%define url_ver %(echo %{version}|cut -d. -f1,2)
%define upstream_name   mate-icon-theme-faenza

Name: mate-faenza-icon-theme
Version: 1.20.0
Release: %mkrel 3
Summary: MATE Desktop faenza icon theme
Group:  Graphical desktop/MATE
# Add Atilla ÖNTAŞ creation of Mageia icon license which is derived from
# http://www.mageia.org/en/about/media/ svg format logo
# by Julie Guennegues
License: GPLv2+ and Creative Commons Attribution-ShareAlike
URL: http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{upstream_name}-%{version}.tar.xz
Source1: mageia_distributor_logos.tar.xz
Source2: mageia22.png
Source3: mageia24.png
BuildArch: noarch
BuildRequires: hicolor-icon-theme

Requires: mate-icon-theme
Requires: mate-themes

%description
This package contains the Faenza and Faenza-Drak icon themes for MATE.
Addition of Mageia distribution icon.

%package dark
Summary: MATE Desktop faenza icon theme, dark variant
Group: Graphical desktop/MATE
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description dark
This icon theme uses Faenza and Faience icon themes by ~Tiheum and some
icons customized for MATE by Rowen Stipe. Also, there are some icons
from Mint-X-F and Faenza-Fresh icon packs.

%package gray
Summary: MATE Desktop faenza icon theme, gray variant
Group: Graphical desktop/MATE
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description gray
This icon theme uses Faenza and Faience icon themes by ~Tiheum and some
icons customized for MATE by Rowen Stipe. Also, there are some icons
from Mint-X-F and Faenza-Fresh icon packs.

%prep
%autosetup -n %{upstream_name}-%{version} -a 1

%build

%install
#Install Mageia icons and create symlinks:
install -m644 distributor-logo-mageia.svg matefaenza/places/scalable/distributor-logo-mageia.svg
install -m644 distributor-logo-mageia.svg matefaenza/places/scalable/start-here-mageia.svg

matefaenza_dirs="22 24 32 48 64 96"

for svg in $matefaenza_dirs; do
   install -m644 distributor-logo-mageia-${svg}.png matefaenza/places/${svg}/distributor-logo-mageia.png
   rm -f matefaenza/places/${svg}/{distributor-logo.png,start-here.png}
   cp matefaenza/places/${svg}/distributor-logo-mageia.png matefaenza/places/${svg}/distributor-logo.png
   cp matefaenza/places/${svg}/distributor-logo-mageia.png matefaenza/places/${svg}/start-here-mageia.png
done

#matefaenza_color_dirs="matefaenzadark matefaenzagray"
#for i in $matefaenza_color_dirs; do
#  install -m644 {_sourcedir}/mageia22.png $i/places/22/start-here-mageia.png
#  install -m644 {_sourcedir}/mageia24.png $i/places/24/start-here-mageia.png
#  rm -f $i/start-here.png
#done

install -m644 %{_sourcedir}/mageia22.png matefaenzadark/places/22/start-here-mageia.png
install -m644 %{_sourcedir}/mageia24.png matefaenzadark/places/24/start-here-mageia.png
rm -f matefaenzadark/start-here.png

find matefaenza* -type d -exec chmod 755 {} \;
find matefaenza* -type f -exec chmod 644 {} \;

install -d -m 755 %{buildroot}%{_iconsdir}
cp -pr matefaenzadark matefaenzagray matefaenza %{buildroot}%{_iconsdir}

for icons in $matefaenza_dirs; do
   pushd %{buildroot}%{_iconsdir}/matefaenza/places/$icons
   ln -sf distributor-logo-mageia.png mageia-logo.png
   ln -sf distributor-logo-mageia.png start-here.png
   popd
done

pushd %{buildroot}%{_iconsdir}/matefaenza/places/scalable
ln -sf distributor-logo-mageia.svg mageia-logo.svg
popd

#for i in $matefaenza_color_dirs; do
#   pushd {buildroot}{_iconsdir}/$i/places/22/
#   ln -sf start-here-mageia.png start-here.png
#   popd
#   pushd {buildroot}{_iconsdir}/$i/places/24/
#   ln -sf start-here-mageia.png start-here.png
#   popd
#done
pushd %{buildroot}%{_iconsdir}/matefaenzadark/places/22/
ln -sf start-here-mageia.png start-here.png
popd
pushd %{buildroot}%{_iconsdir}/matefaenzadark/places/24/
ln -sf start-here-mageia.png start-here.png
popd

%post
%update_icon_cache matefaenza

%post dark
%update_icon_cache matefaenzadark

%post gray
%update_icon_cache matefaenzagray

%files
%doc ChangeLog README
%license COPYING
%{_iconsdir}/matefaenza/
%ghost %{_iconsdir}/matefaenza/icon-theme.cache

%files dark
%{_iconsdir}/matefaenzadark/
%ghost %{_iconsdir}/matefaenzadark/icon-theme.cache

%files gray
%{_iconsdir}/matefaenzagray/
%ghost %{_iconsdir}/matefaenzagray/icon-theme.cache


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-3.mga8
+ Revision: 1502029
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1279492
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201490
- Updated to 1.20.0 version

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174495
- Updated to 1.19.0 version

* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092618
- Update to 1.18.0 version

* Sat Dec 24 2016 wally <wally> 1.16.0-2.mga6
+ Revision: 1077186
- fix ghost files

* Sat Dec 24 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1077172
- new version 1.16.0
- add post scripts to create icon cache files

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 949925
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898521
-Update to 1.12.0 version

* Tue Jun 23 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 840024
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 745503
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 682190
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600108
- Updated to version 1.8.0

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531065
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 442999
- imported package mate-faenza-icon-theme

